<?php

declare(strict_types=1);

namespace Apexl\Io\Tabulator\Interfaces;

use Apexl\Io\Tabulator\Dtos\TabulatorFilter;
use Apexl\Vault\Interfaces\QueryBuilderInterface;

interface TabulatableFilterQueryCallback
{
    public function __invoke(QueryBuilderInterface $query, TabulatorFilter $filter): QueryBuilderInterface;
}
